
import 'package:flutter/material.dart';
import 'package:flutter_wisetronic/widgets/mobile/mobile_attribute_selection.dart';
import 'package:responsive_builder/responsive_builder.dart';
import '../models/business.dart';
import '../models/product.dart';

class AttributeSelection extends StatelessWidget {
  final Product product;
  final Business business;
  final GlobalKey startKey;

  const AttributeSelection({Key? key, this.product, this.business, this.startKey}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
        ScreenTypeLayout(
          mobile: MobileAttributeSelection(product: product, business: business, startKey: startKey,),
          tablet: MobileAttributeSelection(product: product, business: business, startKey: startKey,),
          desktop: MobileAttributeSelection(product: product, business: business, startKey: startKey,),
        ),
    );
  }

}